CON

_clkmode       = xtal1 + pll16x
_xinfreq       = 5_000_000

VAR

  long sum_hi, sum_lo, count, rand, average

OBJ

  u     : "umath"
  sio   : "Parallax Serial Terminal"

PUB start | reading

  sio.start(9600)
  repeat 100_000
    reading := (?rand & $7fff_ffff) // 6_000_000
    count++
    if (u.gt(sum_lo, sum_lo += reading))
      sio.char("*")
      sum_hi++
  average := u.div(sum_hi, sum_lo, count)
  sio.char(13)
  sio.dec(average)
      
      
  